### Function

# Ggit Config find_global

#### Declaration [src]

    GFile*
    ggit_config_find_global (
      void
    )

#### Description [src]

Find the file representing the users global git configuration. This file is usually located at $HOME/.gitconfig. This function will try to guess the full path to that file, if the file exists. The returned file may then be used with #ggit_config_new_from_file or #ggit_config_add_file. This function returns `NULL` if the global config could not be found.

#### Return value

Type: `GFile`

A `GFile` or `NULL` if the global config could not be found.

The caller of the function takes ownership of the data, and is responsible for freeing it.